## org.eclipse.datatools.sqltools.sqleditor.preferences
Class GeneralPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.datatools.sqltools.sqleditor.preferences.GeneralPreferencePage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IWorkbenchPreferencePage

    public class GeneralPreferencePage

extends org.eclipse.jface.preference.FieldEditorPreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage

Author:
  Hui Cao

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`GeneralPreferencePage()`
`GeneralPreferencePage(java.lang.String title, org.eclipse.jface.resource.ImageDescriptor image, int style)`
`GeneralPreferencePage(java.lang.String title, int style)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `init(org.eclipse.ui.IWorkbench workbench)`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`dispose, performOk, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### GeneralPreferencePage

    public GeneralPreferencePage()

Parameters:
  `style` -

### GeneralPreferencePage

    public GeneralPreferencePage(java.lang.String title,
                                 int style)

Parameters:
  `title` -
  `style` -

### GeneralPreferencePage

    public GeneralPreferencePage(java.lang.String title,
                                 org.eclipse.jface.resource.ImageDescriptor image,
                                 int style)

Parameters:
  `title` -
  `image` -
  `style` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.jface.preference.PreferencePage`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`